apiVersion: v1
kind: List
items:
- apiVersion: apps/v1
  kind: Deployment
  metadata:
    annotations:
      deployment.kubernetes.io/revision: "1"
      kompose.cmd: kompose convert
      kompose.version: 1.32.0 (765fde254)
    labels:
      io.kompose.service: postgres
    name: postgres
    namespace: default
  spec:
    selector:
      matchLabels:
        io.kompose.service: postgres
    strategy:
      type: Recreate
    template:
      metadata:
        annotations:
          kompose.cmd: kompose convert
          kompose.version: 1.32.0 (765fde254)
        labels:
          io.kompose.service: postgres
      spec:
        containers:
        - env:
          - name: POSTGRES_PASSWORD
            value: ganopacha
          - name: POSTGRES_USER
            value: gano
          - name: POSTGRES_DB
            value: joplin
          image: postgres:16
          name: postgres
          imagePullPolicy: IfNotPresent
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /var/lib/postgresql/data
            name: postgresdata
          ports:
          - containerPort: 5432
            hostPort: 5432
            protocol: TCP
        dnsPolicy: ClusterFirst
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - hostPath:
            path: /media/kube/postgres
            type: ""
          name: postgresdata
- apiVersion: apps/v1
  kind: Deployment
  metadata:
    annotations:
      deployment.kubernetes.io/revision: "1"
      kompose.cmd: kompose convert
      kompose.version: 1.32.0 (765fde254)
    labels:
      io.kompose.service: joplin
    name: joplin
    namespace: default
  spec:
    selector:
      matchLabels:
        io.kompose.service: joplin
    strategy:
      type: Recreate
    template:
      metadata:
        annotations:
          kompose.cmd: kompose convert
          kompose.version: 1.32.0 (765fde254)
        labels:
          io.kompose.service: joplin
      spec:
        containers:
        - env:
          - name: APP_PORT
            value: "22300"
          - name: APP_BASE_URL
            value: notepad.gano.duckdns.org
          - name: DB_CLIENT
            value: pg
          - name: POSTGRES_PASSWORD
            value: ganopacha
          - name: POSTGRES_DATABASE
            value: joplin
          - name: POSTGRES_USER
            value: gano
          - name: POSTGRES_PORT
            value: 192.168.3.30012
          - name: POSTGRES_HOST
            value: db
          image: joplin/server:latest
          imagePullPolicy: Always
          name: joplin
          ports:
          - containerPort: 22300
            hostPort: 22300
            protocol: TCP
          resources: {}
kind: List
